Filter misses Selectionfield on IE8

2012-09-19 18:16 - Chris Riether

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.1   

Resolution: Fixed Affected version: 2.1.0

Description

Hi!

1. Thanks for this great tool. Wouldn't want to work without it.

2. I've got a prob with the current version:

Somewhere between 1.3.2-stable (as provided by Ubuntu) and 2.0.3-devel (taken from github) a bug has sneaked in. Just updated to

2.1.0-devel. Still the same.

If I want to filter my issues or Gantt-entries by assignee or author the operator dropdown appears ("is", "is not") but not the field for

operand (the "Who"). So I can't complete the filter argument.

Found nothing similar. And so no fix.

Would need it for auditing the new version.

Thx,

Chris

Related issues:

Has duplicate Redmine - Defect #12086: Filter misses Selectionfield on IE8,IE... Closed

Associated revisions

Revision 10486 - 2012-09-27 07:41 - Toshi MARUYAMA

fix javascript syntax mistake in application.js (#11885)

Revision 10487 - 2012-09-27 07:42 - Toshi MARUYAMA

fix broken issue list filter (#11885)

Array indexOf() is not defined on IE8.

Revision 10488 - 2012-09-27 09:29 - Toshi MARUYAMA

Merged r10486 from trunk (#11885)

fix javascript syntax mistake in application.js.

Revision 10489 - 2012-09-27 09:29 - Toshi MARUYAMA

Merged r10487 from trunk (#11885)

fix broken issue list filter.

Array indexOf() is not defined on IE8.

History

#1 - 2012-09-19 18:37 - Jean-Philippe Lang

Could you provide a screenshot, your browser/OS versions and any javascript errors that occur, thanks.

#2 - 2012-09-20 09:48 - Chris Riether
- File ScreenShot-Redmine.png added

Hi!

I'm using on User-side Windows 7 with IE 8. My Server is something like an Ubuntu Server 10(?). Don't know where to find any error-scripts.

The Screenshot is from my Ticket-Page of an Project (in german translation). It also occures on filtering Gantt-diagram and calendar (same

component?).

Funny thing: if I browse redmine.org it's the same error. So if nobody sees, what I see, it seems to be an interpretation problem in my browser.

Bad thing: I'm forced to use this browser. At the moment, a collegue tests it with firefox. Let's see what happens.

But in the old version it still works... there we were missing something else that has been bugfixed.

Addition: also the highlighting, when selecting tickets, doesn't work in the new version.

Thanks for any help.

Chris

#3 - 2012-09-20 11:21 - Chris Riether

Hey guys!

Update: collegue found following error output:

Details zum Fehler auf der Webseite

Benutzer-Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR

3.0.30729; Media Center PC 6.0; InfoPath.3; MS-RTC LM 8; .NET4.0C; .NET4.0E)

Zeitstempel: Thu, 20 Sep 2012 09:06:18 UTC

Meldung: Das Objekt unterstützt diese Eigenschaft oder Methode nicht.

Zeile: 155

Zeichen: 9

Code: 0

URI: http://www.redmine.org/javascripts/application.js?1347200702

Translation:

Details to errors on this website

User-Agent: ...

Message: The object doesn't support this property or method.

Line 155

Char 9

Code...

URI...

on an other IE she got the same error with line 207 (on winXP)

#4 - 2012-09-24 07:37 - Chris Riether

Hey there!

Nothing new from my side. How about you?

How are the chances to get it fixed soon?

Thanks for any informations. If I can support your efforts, let me know.

Best wishes,

Chris

#5 - 2012-09-27 03:25 - Go MAEDA

- File ie8-js-error.png added

I'm suffering from the same problem. (Windows 7 / Internet Explorer 8)

#6 - 2012-09-27 05:24 - Toshi MARUYAMA

- Affected version (unused) changed from devel to 2.1.0

- Affected version set to 2.1.0

#7 - 2012-09-27 07:38 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 2.1.1
#8 - 2012-09-27 09:37 - Toshi MARUYAMA

- Subject changed from Filter misses Selectionfield to Filter misses Selectionfield on IE8

#9 - 2012-09-27 19:05 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Seems to be fixed by Toshi.

#10 - 2012-09-28 09:38 - Chris Riether

Thanks! Will try to update it soon.

Best regards,

Chris

#11 - 2012-09-29 04:53 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Merged in 2.1-stable.
